Update a channel
Renames a channel, replaces its destinations, or turns it on or off.
Requires a realm operator (or higher) with the channels.manage.realm permission on the realm that owns the notification channel given by id. For an organization-level notification channel, a role with channels.manage in that organization.
POST
/
v1
/
notification_channels
/
update
Update a channel
curl --request POST \
--url https://{host}/v1/notification_channels/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b",
"enabled": false
}
'import requests
url = "https://{host}/v1/notification_channels/update"
payload = {
"id": "9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b",
"enabled": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b', enabled: false})
};
fetch('https://{host}/v1/notification_channels/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/notification_channels/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b',
'enabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/notification_channels/update"
payload := strings.NewReader("{\n \"id\": \"9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b\",\n \"enabled\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/notification_channels/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b\",\n \"enabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/notification_channels/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b\",\n \"enabled\": false\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"org_id": null,
"user_id": null,
"name": "ops-slack",
"destinations": [
{
"type": "slack",
"webhook_url": "https://hooks.slack.com/services/T000/B000/XXXX"
}
],
"enabled": true,
"created_at": 1759000000000,
"updated_at": 1759000000000,
"rule_count": 1,
"system_key": null,
"locked": false,
"lock_reason": null
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
⌘I
Update a channel
curl --request POST \
--url https://{host}/v1/notification_channels/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b",
"enabled": false
}
'import requests
url = "https://{host}/v1/notification_channels/update"
payload = {
"id": "9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b",
"enabled": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b', enabled: false})
};
fetch('https://{host}/v1/notification_channels/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/notification_channels/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b',
'enabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/notification_channels/update"
payload := strings.NewReader("{\n \"id\": \"9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b\",\n \"enabled\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/notification_channels/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b\",\n \"enabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/notification_channels/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b\",\n \"enabled\": false\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "9a8b7c6d-5e4f-4321-8a0b-1c2d3e4f5a6b",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"org_id": null,
"user_id": null,
"name": "ops-slack",
"destinations": [
{
"type": "slack",
"webhook_url": "https://hooks.slack.com/services/T000/B000/XXXX"
}
],
"enabled": true,
"created_at": 1759000000000,
"updated_at": 1759000000000,
"rule_count": 1,
"system_key": null,
"locked": false,
"lock_reason": null
}
}